jif.types

## Interface ActsForParam

- All Superinterfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.types.TypeObject>, Param, java.io.Serializable, polyglot.types.TypeObject
  All Known Subinterfaces:
    ArgLabel, BottomPrincipal, ConjunctivePrincipal, CovariantParamLabel, DisjunctivePrincipal, DynamicLabel, DynamicPrincipal, ExternalPrincipal, JoinLabel, Label, MeetLabel, NotTaken, PairLabel, ParamLabel, ParamPrincipal, Principal, ProviderLabel, ThisLabel, TopPrincipal, UnknownLabel, UnknownPrincipal, VarLabel, VarPrincipal, WritersToReadersLabel
  All Known Implementing Classes:
    ArgLabel_c, BottomPrincipal_c, ConjunctivePrincipal_c, CovariantParamLabel_c, DisjunctivePrincipal_c, DynamicLabel_c, DynamicPrincipal_c, ExternalPrincipal_c, JoinLabel_c, Label_c, MeetLabel_c, NotTaken_c, PairLabel_c, ParamLabel_c, ParamPrincipal_c, Principal_c, ProviderLabel_c, ThisLabel_c, TopPrincipal_c, UnknownLabel_c, UnknownPrincipal_c, VarLabel_c, VarPrincipal_c, WritersToReadersLabel_c

      public interface ActsForParam
      extends Param

  A class parameter type that can be used in an actsfor constraint.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActsForParam` | `simplify()`
    `ActsForParam` | `subst(LabelSubstitution labelSubst)`
    `polyglot.ast.Expr` | `toJava(JifToJavaRewriter rw, polyglot.ast.Expr thisQualifier)`

    - ### Methods inherited from interface jif.types.Param

      `isCanonical, isRuntimeRepresentable, typeSystem`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, position`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### subst

          ActsForParam subst(LabelSubstitution labelSubst)
                      throws polyglot.types.SemanticException

      Throws:
        `polyglot.types.SemanticException`

    - #### toJava

          polyglot.ast.Expr toJava(JifToJavaRewriter rw,
                                   polyglot.ast.Expr thisQualifier)
                            throws polyglot.types.SemanticException

      Parameters:
        `thisQualifier` - an Expr representing the translated "this" reference.
      Throws:
        `polyglot.types.SemanticException`

    - #### simplify

          ActsForParam simplify()